ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::model::enums::EnumerationException Class Reference

EnumerationException is thrown when an enumeration is invalid or not found. More...

`#include <ome/xml/model/enums/EnumerationException.h>`

Inheritance diagram for ome::xml::model::enums::EnumerationException:
[legend]
Collaboration diagram for ome::xml::model::enums::EnumerationException:
[legend]

## Public Member Functions
| EnumerationException (std::string const &error)
| Construct an EnumerationException from a string.
virtual | ~EnumerationException () throw ()
| Destructor.

## Detailed Description

EnumerationException is thrown when an enumeration is invalid or not found.

The documentation for this class was generated from the following files:

- ome/xml/model/enums/EnumerationException.h
- ome/xml/model/enums/EnumerationException.cpp